Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 162175 - [PATCH] Synchronize interface link state with e100 poll routine
Summary: [PATCH] Synchronize interface link state with e100 poll routine
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Fedora Legacy
Classification: Retired
Component: kernel
Version: fc2
Hardware: i386
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Fedora Legacy Bugs
QA Contact:
URL:
Whiteboard: DEFER
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2005-06-30 16:34 UTC by Bryan Wann
Modified: 2007-04-18 17:28 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2006-08-13 14:29:05 UTC


Attachments (Terms of Use)
Mallikarjuna Chilakala's e100 poll syncronizing patch (deleted)
2005-06-30 16:35 UTC, Bryan Wann
no flags Details | Diff

Description Bryan Wann 2005-06-30 16:34:02 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (Windows; U; Windows NT 5.1; en-US; rv:1.7.8) Gecko/20050511 Firefox/1.0.4

Description of problem:
This is a patch by Mallikarjuna Chilakala that was released after FC2 went legacy.  It corrects a polling problem where network interfaces using the e100 driver would time out causing brief network hangs every few minutes, could be five minutes before it happens again, could be an hour.  This is a simple patch against FC2 that has fixed the problem.

His original post is at:
http://marc.theaimsgroup.com/?l=linux-netdev&m=111462412520401&w=2

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1.  Install kernel-2.6.10-1.771  (This has been a problem with earlier 2.6.9 and 2.6.10 releases as well)
2.  Bring up networking, pass traffic for an hour or two
3.  Wait
  

Actual Results:  Repeated periodic (every 5-30 minutes) flapping of e100 interfaces:

kernel: bonding: bond0: link status definitely down for interface eth1, disabling it
kernel: bonding: bond0: making interface eth0 the new active one.
kernel: e100: eth1: e100_watchdog: link up, 100Mbps, full-duplex
kernel: bonding: bond0: link status definitely up for interface eth1.


Expected Results:  No flapping or pauses.

Additional info:

Comment 1 Bryan Wann 2005-06-30 16:35:46 UTC
Created attachment 116177 [details]
Mallikarjuna Chilakala's e100 poll syncronizing patch

Comment 2 Pekka Savola 2005-06-30 18:04:38 UTC
This may not be serious enough for the scarce resource of Fedora Legacy,
especially if this hasn't been fixed in FC3.


Comment 3 Marc Deslauriers 2005-07-31 00:24:28 UTC
Did this make it into a more recent upstream kernel?

Comment 4 Pekka Savola 2005-11-16 13:28:01 UTC
This doesn't seem to be important enough to fix just on its own, so mark it DEFER.


Note You need to log in before you can comment on or make changes to this bug.